GRPC C++ 0.10.0.0

- Main Page
- Namespaces
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Class Hierarchy
- Data Fields

All Data Structures Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros
Public Member Functions
grpc::CompletionQueueTag Class Referenceabstract

`#include <completion_queue.h>`

## Public Member Functions
virtual | ~CompletionQueueTag ()
virtual bool | FinalizeResult (void **tag, bool *status)=0

## Constructor & Destructor Documentation

virtual grpc::CompletionQueueTag::~CompletionQueueTag | ( |  | ) |
| inline virtual

## Member Function Documentation

virtual bool grpc::CompletionQueueTag::FinalizeResult | ( | void ** | tag,
|  | bool * | status
| ) |  |
| pure virtual

Implemented in grpc::SneakyCallOpSet< Op1, Op2, Op3, Op4, Op5, Op6 >, grpc::SneakyCallOpSet< grpc::CallOpSendInitialMetadata, grpc::CallOpSendMessage, grpc::CallOpClientSendClose >, grpc::CallOpSet< Op1, Op2, Op3, Op4, Op5, Op6 >, grpc::CallOpSet< grpc::CallOpGenericRecvMessage, grpc::CallOpClientRecvStatus >, grpc::CallOpSet< grpc::CallOpSendInitialMetadata, grpc::CallOpSendMessage >, grpc::CallOpSet< grpc::CallOpSendInitialMetadata >, grpc::CallOpSet< grpc::CallOpRecvInitialMetadata, grpc::CallOpRecvMessage< R >, grpc::CallOpClientRecvStatus >, grpc::CallOpSet< grpc::CallOpClientSendClose >, grpc::CallOpSet< grpc::CallOpSendInitialMetadata, grpc::CallOpSendMessage, grpc::CallOpServerSendStatus >, grpc::CallOpSet< grpc::CallOpSendInitialMetadata, grpc::CallOpServerSendStatus >, grpc::CallOpSet< grpc::CallOpSendMessage >, grpc::CallOpSet< grpc::CallOpRecvInitialMetadata >, grpc::CallOpSet< grpc::CallOpSendInitialMetadata, grpc::CallOpSendMessage, grpc::CallOpClientSendClose, CallNoOp< 4 >, CallNoOp< 5 >, CallNoOp< 6 > >, grpc::CallOpSet< grpc::CallOpRecvInitialMetadata, grpc::CallOpClientRecvStatus >, grpc::CallOpSet< grpc::CallOpRecvMessage< R > >, grpc::CallOpSet< grpc::CallOpRecvInitialMetadata, grpc::CallOpGenericRecvMessage, grpc::CallOpClientRecvStatus >, grpc::CallOpSet< grpc::CallOpSendInitialMetadata, grpc::CallOpSendMessage, grpc::CallOpClientSendClose >, and grpc::CallOpSet< grpc::CallOpRecvInitialMetadata, grpc::CallOpRecvMessage< R > >.

The documentation for this class was generated from the following file:

- include/grpc++/completion_queue.h